Path: API › 系统管理

`POST /system`

聚合返回系统全部信息概览。

## Request body

_Required._

- `action339.request_time` (string, required) — Unix 时间戳。
- `action339.request_token` (string, required) — 按 API 概览生成的签名。
- `action339.action` (string, required) — 具体操作名称。
  - one of `"GetAllInfo"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "GetAllInfo"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/system" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=GetAllInfo"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "load_average": {
    "one": 0.15,
    "five": 0.08,
    "fifteen": 0.02,
    "max": 4,
    "limit": 4,
    "safe": 3
  },
  "title": "宝塔面板",
  "network": {
    "upTotal": 1000000,
    "downTotal": 5000000,
    "up": 10.5,
    "down": 50.2
  },
  "cpu": [
    12.5,
    2,
    [
      15,
      10
    ],
    "Intel...",
    1,
    1
  ],
  "time": "0分钟",
  "system": "Debian GNU/Linux 13 x86_64(Py3.7.16)",
  "mem": {
    "memTotal": 3901,
    "memFree": 2918,
    "memRealUsed": 623
  },
  "version": "11.7.0"
}
```

- `action339.response.default.load_average` (object, optional) — 负载信息（同 GetLoadAverage）
- `action339.response.default.title` (string, optional) — 面板标题
- `action339.response.default.network` (object, optional) — 网络流量（同 GetNetWorkApi）
- `action339.response.default.cpu` (array<unknown>, optional) — CPU 信息（同 GetCpuInfo）
- `action339.response.default.time` (string, optional) — 系统运行时间
- `action339.response.default.system` (string, optional) — 操作系统版本
- `action339.response.default.mem` (object, optional) — 内存信息（同 GetMemInfo）
- `action339.response.default.version` (string, optional) — 面板版本
- `action339.response.default.iostat` (object, optional) — 磁盘 IO 信息
- `action339.response.default.disk` (array<unknown>, optional) — 磁盘分区信息


## GetAllInfo

聚合返回系统全部信息概览。

- **路由**：`POST /system`
- **action**：`GetAllInfo`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `GetAllInfo` |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| load_average | Object | 负载信息（同 GetLoadAverage） |
| title | String | 面板标题 |
| network | Object | 网络流量（同 GetNetWorkApi） |
| cpu | Array | CPU 信息（同 GetCpuInfo） |
| time | String | 系统运行时间 |
| system | String | 操作系统版本 |
| mem | Object | 内存信息（同 GetMemInfo） |
| version | String | 面板版本 |
| iostat | Object | 磁盘 IO 信息 |
| disk | Array | 磁盘分区信息 |

## 示例

### 响应

```json
{
    "load_average": {"one": 0.15, "five": 0.08, "fifteen": 0.02, "max": 4, "limit": 4, "safe": 3.0},
    "title": "宝塔面板",
    "network": {"upTotal": 1000000, "downTotal": 5000000, "up": 10.5, "down": 50.2},
    "cpu": [12.5, 2, [15.0, 10.0], "Intel...", 1, 1],
    "time": "0分钟",
    "system": "Debian GNU/Linux 13 x86_64(Py3.7.16)",
    "mem": {"memTotal": 3901, "memFree": 2918, "memRealUsed": 623},
    "version": "11.7.0"
}
```

